%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 12

%define rel 1

%define qtversion        %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir     qtquicktimeline-everywhere-opensource-src-%{qtversion}

Name:           qtquicktimeline5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Quick Timeline Addon
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Quick Timeline module provides QML types to use timelines
and keyframes to animate Qt Quick user interfaces.

%files
%license LICENSE.*
%{_qt5_qmldir}/QtQuick/Timeline

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtQuickTimeline%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickTimeline%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtquicktimeline.qch
%{_qt5_docdir}/qtquicktimeline/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquicktimeline-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog
* Tue Jan 09 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2029331
- New version 5.15.12

* Tue Dec 06 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1918573
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885958
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881027
- New version 5.15.5

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1843202
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652463
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624915
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589828
- New version 5.15.0

* Tue Mar 17 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1557501
- initial package qtquicktimeline5

